## thermorawfileparser 1.2.3-2

=== CMakeLists.txt ===


# xbuild /p:Configuration=Release ThermoRawFileParser.csproj
cmake_minimum_required(VERSION 3.0)

#project(ThermoRawFileParser CSharp)
project(thermorawfileparser VERSION 1.2.3)
#set (SOURCES Program.cs)
#add_executable(${PROJECT_NAME} ${SOURCES})
#set_property(TARGET ${PROJECT_NAME} PROPERTY VS_DOTNET_REFERENCES "System;System.Core;System.Data;System.Data.DataSetExtensions;System.Drawing;System.Net.Http;System.Xml;System.Xml.Linq")
#set_property(TARGET ${PROJECT_NAME} PROPERTY VS_DOTNET_REFERENCE_MyLib "packages/MyLib.dll")


# Packager
set(CPACK_PACKAGE_NAME ${PROJECT_NAME})
set(CPACK_PACKAGE_VENDOR "PAPPSO Development Team")
set(CPACK_PACKAGE_VERSION "${PROJECT_VERSION}")
set(CPACK_PACKAGE_VERSION_MAJOR "${PROJECT_VERSION_MAJOR}")
set(CPACK_PACKAGE_VERSION_MINOR "${PROJECT_VERSION_MINOR}")
set(CPACK_PACKAGE_VERSION_PATCH "${PROJECT_VERSION_PATCH}")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "ThermoRawFileParser")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/LICENSE")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/THERMO_LICENSE")
set(CPACK_SOURCE_GENERATOR "TGZ")
set(CPACK_SOURCE_IGNORE_FILES
 "CMakeFiles"
 "Makefile"
 "_CPack_Packages"
 "CMakeCache.txt"
 ".*\\\\.git"
 "debian/tmp"
 "debian/libbpp.*/"
 "debian/libbpp.*\\\\.so.*"
 "debian/libbpp.*\\\\.a"
 "debian/libbpp.*\\\\.substvars"
 "debian/libbpp.*\\\\.debhelper"
 "debian/debhelper\\\\.log"
 "^\\\\/bin/"
 "^\\\\/build/"
 "^\\\\/cbuild/"
 ${CPACK_SOURCE_IGNORE_FILES}
)
#cmake ..
#make deb
# scp thermorawfileparser* proteus.moulon.inra.fr:/var/www/apt/incoming
# reprepro -Vb /var/www/apt processincoming default

configure_file (${CMAKE_SOURCE_DIR}/thermorawfileparser.cmake ${CMAKE_SOURCE_DIR}/thermorawfileparser)


set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
include(CPack)

add_custom_target(targz
	cpack -G TGZ --config CPackSourceConfig.cmake && tar xvfz ${CPACK_PACKAGE_NAME}-${PROJECT_VERSION}.tar.gz
	WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
	COMMENT "Creating .tar.gz" VERBATIM
)


add_custom_target(deb
	cd ${CPACK_PACKAGE_NAME}-${PROJECT_VERSION} && dpkg-buildpackage
	DEPENDS targz
	WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
	COMMENT "Creating Debian package" VERBATIM
)

#xbuild /p:Configuration=Release ThermoRawFileParser.csproj
add_custom_target(xbuild ALL
	xbuild /p:Configuration=Release ThermoRawFileParser.csproj
	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
	COMMENT "Csharp compilation" VERBATIM
)

install(PROGRAMS ${CMAKE_SOURCE_DIR}/thermorawfileparser DESTINATION bin)

install(DIRECTORY ${CMAKE_SOURCE_DIR}/bin/Release/ DESTINATION share/thermorawfileparser)

=== debian/changelog ===
thermorawfileparser (1.2.3-2) buster; urgency=medium

  * precursor intensity added from uvdata

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 22 Jul 2020 15:44:10 +0200

thermorawfileparser (1.2.3-1) buster; urgency=medium

  * first thermorawfileparser package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sun, 21 Jun 2020 07:40:17 +0200

thermorawfileparser (1.2.3-0) buster; urgency=medium

  * first package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sat, 20 Jun 2020 23:49:25 +0200

=== debian/control ===
Source: thermorawfileparser
Maintainer: Olivier Langella <olivier.langella@u-psud.fr>
Homepage: https://github.com/compomics/ThermoRawFileParser
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake (>= 2.6),
               mono-xbuild
Standards-Version: 3.9.8

Package: thermorawfileparser
Architecture: any
Multi-Arch: no
Depends: ${shlibs:Depends},
         ${misc:Depends},
         mono-runtime
Pre-Depends: ${misc:Pre-Depends}
Description: thermorawfileparser

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release
	
override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(DESTDIR)
